Get a theme
Returns the full theme entity including all embedded templates and assets.
The production field indicates whether this is the live theme.
For the public/production theme, store:create_dev_theme is available.
For a dev theme, store:publish_theme and store:delete_theme are available.
GET
/themes/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredTheme ID
Responses
200Theme entity with embedded templates and assets
_linksHalLinksidstringOpaque theme identifier
linkedbooleanWhether this is a linked (inherited) theme
parent_idstring | nullproductionboolean`true` for the live/public theme
publicbooleanAlias for `production`
accessiblebooleantitlestringsettingsstringRaw JSON string of theme settings
created_onstring<date-time>updated_onstring<date-time>_embeddedobjectShow propertiesHide properties
templatesThemeTemplate[]Show propertiesHide properties
Array of
ThemeTemplate_linksHalLinksidstringfile_namestringpathstringbodystringFull template source code
is_sectionbooleanschemaobjectPresent only when `is_section` is true — the section's configurable schema.
parent_commitstring | nullupdated_onstring<date-time>assetsThemeAsset[]Show propertiesHide properties
Array of
ThemeAsset_linksHalLinksidstringfile_namestringcontent_typestringfile_sizeintegerdigeststringurlstringCDN URL for this asset
updated_onstring<date-time>401Unauthorized
403Access denied
404Theme not found
Request
curl -X GET "https://api.onbolder.com/v2/themes/abc123" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v2/themes/abc123", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.onbolder.com/v2/themes/abc123",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"id": "abc123",
"title": "My Theme",
"production": true,
"public": true,
"accessible": true,
"linked": false,
"parent_id": null,
"settings": "{\"bg_color\":\"#fff\"}",
"created_on": "2023-06-01T10:00:00Z",
"updated_on": "2024-11-15T09:30:00Z",
"_links": {
"self": {
"href": "https://api.onbolder.com/v2/themes/abc123"
},
"store:update_theme": {
"href": "https://api.onbolder.com/v2/themes/abc123",
"method": "put"
},
"store:create_template": {
"href": "https://api.onbolder.com/v2/themes/abc123/templates",
"method": "post"
},
"store:create_theme_asset": {
"href": "https://api.onbolder.com/v2/themes/abc123/assets",
"method": "post"
},
"store:theme_preview": {
"href": "https://myshop.onbolder.com",
"type": "text/html"
},
"store:create_dev_theme": {
"href": "https://api.onbolder.com/v2/shops/1/themes",
"method": "post"
}
},
"_embedded": {
"templates": [
{
"id": "t1",
"file_name": "layout.html",
"name": "layout",
"content_type": "text/html",
"body": "<html>...</html>",
"is_section": false,
"updated_on": "2024-11-15T09:30:00Z"
}
],
"assets": [
{
"id": "a1",
"file_name": "logo.png",
"content_type": "image/png",
"file_size": 12400,
"url": "https://cdn.onbolder.com/themes/abc123/logo.png"
}
]
}
}Unauthorized
Access denied
Theme not found